/// <reference types="node" />
/// <reference types="node" />
import * as fs from 'fs';
import * as tmp from 'tmp';
import rimraf from 'rimraf';
export declare const statFile: typeof fs.promises.stat;
export declare const readFile: typeof fs.promises.readFile;
export declare const readDir: typeof fs.promises.readdir;
export declare const readLink: typeof fs.promises.readlink;
export declare const deleteFile: typeof fs.promises.unlink;
export declare const deleteFolder: typeof rimraf.__promisify__;
export declare const checkAccess: typeof fs.promises.access;
export declare const chmod: typeof fs.promises.chmod;
export declare const mkDir: typeof fs.promises.mkdir;
export declare const writeFile: typeof fs.promises.writeFile;
export declare const copyFile: typeof fs.promises.copyFile;
export declare const appendOrCreateFile: typeof fs.promises.appendFile;
export declare const createReadStream: typeof fs.createReadStream;
export declare const createWriteStream: typeof fs.createWriteStream;
export declare const copyRecursive: (from: string, to: string) => Promise<void>;
export declare const canAccess: (path: string) => Promise<boolean>;
export declare const getRealPath: (targetPath: string) => Promise<string | undefined>;
export declare const ensureDirectoryExists: (path: string) => Promise<string | void | undefined>;
export declare const resolveCommandPath: (path: string) => Promise<string | undefined>;
export declare const commandExists: (path: string) => Promise<boolean>;
export declare const createTmp: (options?: tmp.Options) => Promise<{
    path: string;
    fd: number;
    cleanupCallback: () => void;
}>;
export declare const moveFile: (oldPath: string, newPath: string) => Promise<void>;
